StaticSemanticsErrorException (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.types

## Class StaticSemanticsErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - hlt.language.design.types.StaticSemanticsErrorException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AssignmentErrorException, ClassDeclarationException, DefinitionException, TypeDefinitionException, TypingErrorException

      public abstract class StaticSemanticsErrorException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticSemanticsErrorException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locatable` | `extent()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `msg()`
    `StaticSemanticsErrorException` | `setExtent(Locatable extent)`
    `StaticSemanticsErrorException` | `setStamp(long stamp)`
    `long` | `stamp()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticSemanticsErrorException

          public StaticSemanticsErrorException()

  - ### Method Detail

    - #### getMessage

          public final java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### msg

          public final java.lang.String msg()

    - #### extent

          public final Locatable extent()

    - #### stamp

          public final long stamp()

    - #### setExtent

          public final StaticSemanticsErrorException setExtent(Locatable extent)

    - #### setStamp

          public final StaticSemanticsErrorException setStamp(long stamp)